{% extends 'base.html' %}

{% block title %}
File Storage
{% endblock %}

{% block content %}
<div class="card m-2">
    <div class="card-header">
        File Storage Service
    </div>
    <div class="card-body">
      <h5 class="card-title">File Storage Service</h5>
      <p class="card-text">Accept a files and save it. You must be loged in to use this service.</p>
      <form method="POST" action="http://localhost:20676/api/storage/" enctype="multipart/form-data">
          {% csrf_token %}
        <div class="form-group">
          <label for="files">File</label>
          <input type="file" name="files" class="form-control" id="files" aria-describedby="emailHelp">
          <small id="files" class="form-text text-muted">You can only upload a single file at a time.</small>
          {% if error %}
          <small id="files" class="form-text text-danger">{{ error_messege }}</small>
          {% endif %}
        </div>
        <button type="submit" class="btn btn-primary">Submit</button>
      </form>
    </div>
  </div>
{% endblock %}